Index: trunk/shell/create-start-front-end
===================================================================
--- trunk/shell/create-start-front-end	(revision 19)
+++ trunk/shell/create-start-front-end	(revision 20)
@@ -13,7 +13,7 @@
 #
 # Check that the front-end virtual machine does not already exist.
 #
-CURRENT_HOST_NAME=$FRONT_END_NAME
+CURRENT_HOST_NAME=$FRONT_END_HOST_NAME
 IS_RUNNING=`xm list | grep $CURRENT_HOST_NAME`
 if [ -n "$IS_RUNNING" ]
   then
@@ -44,48 +44,16 @@
 mount $FRONT_END_SYSTEM_VOLUME_GROUP_DEVICE/$FRONT_END_SYSTEM_DISK \
       $FRONT_END_SYSTEM_DISK_MOUNT_POINT
 #
-# Configure the specific files from templates
-#
-# /etc/network/interfaces
-# The first interface is DHCP configured.
-CURRENT_PATH=/etc/network
-cp templates$CURRENT_PATH/$FRONT_END_INTERFACES_TEMPLATE \
-   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH
-ADDRESS="$COMPUTE_NODE_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
-rpl __STATIC_ADDRESS__ $ADDRESS  \
-    $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
-# /etc/hostname
-CURRENT_PATH=/etc
-echo $CURRENT_HOST_NAME > "${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/hostname"
-# /etc/hosts
-CURRENT_PATH=/etc
-CURRENT_HOST_IP="${COMPUTE_NODE_STATIC_NETWORK_PREFIX}.${FRONT_END_STATIC_NETWORK_POSTFIX}"
-cp templates$CURRENT_PATH/hosts \
-   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH
-rpl __COMPUTE_NODE_IP__ $CURRENT_HOST_IP \
-    ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
-rpl __COMPUTE_NODE_NAME__ $CURRENT_HOST_NAME \
-    ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
-# /etc/resolv.conf
-CURRENT_PATH=/etc
-cp $TEMPLATES_DIR$CURRENT_PATH/resolv.conf \
-   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
-rpl __CLUSTER_DOMAIN_NAME__ "${CLUSTER_DOMAIN_NAME}." \
-   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
-rpl __FRONT_END_STATIC_ADDRESS__ "${CLUSTER_STATIC_NETWORK_PREFIX}.$FRONT_END_STATIC_NETWORK_POSTFIX" \
-   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
-exit 0
-#
 # Get the MAC address
 #
 CURRENT_PATH=/etc
-COMPUTE_NODE_MAC_ADDRESS=\
-`awk -F, -v INDEX=$NODE_NUMBER '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$DHCP_HOSTSFILE_BASENAME`
+FRONT_END_MAC_ADDRESS=\
+`awk -F, -v INDEX=$FRONT_END_STATIC_NETWORK_POSTFIX '{if (FNR==INDEX) {print $1}}' $SCRIPT_PATH/$TEMPLATES_DIR$CURRENT_PATH/$DHCP_HOSTSFILE_BASENAME`
 #
 # Create the Xen configuration file from a template
 #
 CURRENT_PATH=/etc/xen
-cp templates$CURRENT_PATH/compute-node.cfg \
+cp templates$CURRENT_PATH/front-end.cfg \
    $SCRIPT_PATH/$CURRENT_HOST_NAME.cfg
 rpl Template Configuration $SCRIPT_PATH/$CURRENT_HOST_NAME.cfg
 rpl "the Xen instance compute-node" "compute-node-$NODE_NUMBER_STRING" \
@@ -150,3 +118,36 @@
     xm vcpu-pin $CURRENT_HOST_NAME $VCPU_NUM $i
     VCPU_NUM=$((VCPU_NUM + 1))
 done
+
+#
+# Configure the specific files from templates
+#
+# /etc/network/interfaces
+# The first interface is DHCP configured.
+CURRENT_PATH=/etc/network
+cp templates$CURRENT_PATH/$FRONT_END_INTERFACES_TEMPLATE \
+   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH
+ADDRESS="$COMPUTE_NODE_STATIC_NETWORK_PREFIX.$FRONT_END_STATIC_NETWORK_POSTFIX"
+rpl __STATIC_ADDRESS__ $ADDRESS  \
+    $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH/interfaces
+# /etc/hostname
+CURRENT_PATH=/etc
+echo $CURRENT_HOST_NAME > "${COMPUTE_NODE_DISK_MOUNT_POINT}${CURRENT_PATH}/hostname"
+# /etc/hosts
+CURRENT_PATH=/etc
+CURRENT_HOST_IP="${COMPUTE_NODE_STATIC_NETWORK_PREFIX}.${FRONT_END_STATIC_NETWORK_POSTFIX}"
+cp templates$CURRENT_PATH/hosts \
+   $FRONT_END_SYSTEM_DISK_MOUNT_POINT/$CURRENT_PATH
+rpl __COMPUTE_NODE_IP__ $CURRENT_HOST_IP \
+    ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
+rpl __COMPUTE_NODE_NAME__ $CURRENT_HOST_NAME \
+    ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/hosts
+# /etc/resolv.conf
+CURRENT_PATH=/etc
+cp $TEMPLATES_DIR$CURRENT_PATH/resolv.conf \
+   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
+rpl __CLUSTER_DOMAIN_NAME__ "${CLUSTER_DOMAIN_NAME}." \
+   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
+rpl __FRONT_END_STATIC_ADDRESS__ "${CLUSTER_STATIC_NETWORK_PREFIX}.$FRONT_END_STATIC_NETWORK_POSTFIX" \
+   ${FRONT_END_SYSTEM_DISK_MOUNT_POINT}${CURRENT_PATH}/resolv.conf
+exit 0
Index: trunk/shell/c-i-a-b.common
===================================================================
--- trunk/shell/c-i-a-b.common	(revision 19)
+++ trunk/shell/c-i-a-b.common	(revision 20)
@@ -35,11 +35,14 @@
 DOM0_CPUS_LIST="0 4"
 DOM0_CPUS_NUM=2
 DOM0_CPUS_CLAUSE="(dom0-cpus $DOM0_CPUS_NUM)"
+FRONT_END_CPUS_LIST="8 12 16 20"
+FRONT_END_MEMORY=8G
+FRONT_END_CPUS_NUM=4
 FRONT_END_HOME_DISK_SIZE=512G
 FRONT_END_INTERFACES_TEMPLATE=interfaces.front-end
 FRONT_END_HOME_VOLUME_GROUP=vg_slow
 FRONT_END_HOME_VOLUME_GROUP_DEVICE="/dev/$FRONT_END_HOME_VOLUME_GROUP"
-FRONT_END_NAME="frontend"
+FRONT_END_HOST_NAME="frontend"
 FRONT_END_STATIC_NETWORK_POSTFIX=251
 FRONT_END_SWAP_DISK="frontend-swap"
 #FRONT_END_SWAP_DISK_SIZE=$CONST_NULL_DISK_SIZE # 0G means no swap disk.
Index: trunk/shell/templates/etc/xen/front-end.cfg
===================================================================
--- trunk/shell/templates/etc/xen/front-end.cfg	(revision 19)
+++ trunk/shell/templates/etc/xen/front-end.cfg	(revision 20)
@@ -1,15 +1,15 @@
 #
-# Configuration file for the Xen instance skanda.lip.ens-lyon.fr, created
+# Configuration file for the Xen front-end, created
 # by xen-tools 4.2 on Mon Feb 28 17:41:00 2011.
 #
 
 #
 #  Kernel + memory size
 #
-kernel      = '/boot/vmlinuz-2.6.32-5-xen-amd64'
-ramdisk     = '/boot/initrd.img-2.6.32-5-xen-amd64'
+kernel      = /boot/vmlinuz-`uname -r`
+ramdisk     = /boot/initrd.img-`uname -r`
 
-vcpus       = '4'
+vcpus       = '__FRONT_END_CPUS_NUM__'
 cpus        = '1,9,5,13'
 memory      = '3072'
 
Index: trunk/shell/templates/etc/dhcp-hostsfile
===================================================================
--- trunk/shell/templates/etc/dhcp-hostsfile	(revision 19)
+++ trunk/shell/templates/etc/dhcp-hostsfile	(revision 20)
@@ -248,3 +248,7 @@
 00:16:3E:0F:6A:F8,id:*,192.168.1.248,compute-node-248
 00:16:3E:0F:6A:F9,id:*,192.168.1.249,compute-node-249
 00:16:3E:0F:6A:FA,id:*,192.168.1.250,compute-node-250
+00:16:3E:0F:6A:FB,id:*,192.168.1.251,front-end
+00:16:3E:0F:6A:FC,id:*,192.168.1.252,free-slot-1
+00:16:3E:0F:6A:FD,id:*,192.168.1.253,free-slot-2
+00:16:3E:0F:6A:FE,id:*,192.168.1.254,free-slot-3
